# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.6.0]

### Changed

- Required bevy version is now 0.11
- Optional bevy_ecs_tilemap version is now 0.11

## [0.5.0-beta.1]

### Changed

- Required bevy version is now 0.10
- Optional bevy_ecs_tilemap version is now 0.10

## [0.3.1]

### Fixed
- Child animations would not play correct animation when parent has an override

## [0.2.1]

### Fixed
- Action animation frames overflow

## [0.2.0]

### Added
- Constructor functions for `AnimationOverride`

### Changed
- `bevy` version `0.9`
- `bevy_ecs_tilemap` version `0.9`
- `AnimationOverride` now contains its own state

### Fixed

- `AnimationOverride` will play animation without needing to be driven by `apply_direction_animation`

## [0.1.1]

### Fixed
- "play once and then" animations could overflow frame array bounds